declare global {
    interface Window {
        grecaptcha: {
            ready(callback: () => void): void;
            execute(siteKey: string, options: {
                action: string;
            }): Promise<string>;
        };
    }
}
type RecaptchaErrorDetail = {
    message: string;
    codes?: any;
    error?: any;
};
type RecaptchaErrorHandler = (detail: RecaptchaErrorDetail) => void;
export declare function executeRecaptcha(configId: string, siteKey: string, controlType: string, dataKey: string, dataMode: string, onError?: RecaptchaErrorHandler): Promise<any>;
export declare function verifyRecaptchaToken(captchaToken: string, configId: string, controlType: string, dataKey: string, dataMode: string): Promise<any>;
export declare function loadRecaptchaV3(siteKey: string): Promise<void>;
export {};
